bm::chrono_taker< TOut >::statistics Struct Reference

collected statistics More...

`#include <bmtimer.h>`

## Public Member Functions

| statistics ()
| statistics (std::chrono::duration< double, std::milli > d, unsigned r)

## Data Fields

std::chrono::duration< double, std::milli > | duration
unsigned | repeats

## Detailed Description

template<typename TOut = std::ostream>
struct bm::chrono_taker< TOut >::statistics

collected statistics

Definition at line 45 of file bmtimer.h.

## Constructor & Destructor Documentation

## statistics() [1/2]

template<typename TOut = std::ostream>

bm::chrono_taker< TOut >::statistics::statistics | ( |  | ) |

inline

Definition at line 50 of file bmtimer.h.

References duration, and repeats.

## statistics() [2/2]

template<typename TOut = std::ostream>

bm::chrono_taker< TOut >::statistics::statistics | ( | std::chrono::duration< double, std::milli > | d,
|  | unsigned | r )

inline

Definition at line 52 of file bmtimer.h.

References duration, and repeats.

## Field Documentation

## duration

template<typename TOut = std::ostream>

std::chrono::duration<double, std::milli> bm::chrono_taker< TOut >::statistics::duration

Definition at line 47 of file bmtimer.h.

Referenced by statistics(), statistics(), and bm::chrono_taker< TOut >::stop().

## repeats

template<typename TOut = std::ostream>

unsigned bm::chrono_taker< TOut >::statistics::repeats

Definition at line 48 of file bmtimer.h.

Referenced by bm::chrono_taker< TOut >::print_duration_map(), statistics(), and statistics().

The documentation for this struct was generated from the following file:

- bmtimer.h